Bug 177096 - Review Request: fonttools: A tool to convert True/OpenType fonts to XML and back
Review Request: fonttools: A tool to convert True/OpenType fonts to XML and back
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Tanguy
David Lawrence
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-06 05:20 EST by Roozbeh Pournader
Modified: 2014-09-29 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 00:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2006-01-06 05:20:17 EST
Spec Url: http://guava.farsiweb.info/~roozbeh/fonttools.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/fonttools-2.0-0.1.20060103cvs.src.rpm
Description:
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.

Additional notes:
1. The reason for this being a CVS version is that the upstream's latest release has been in September 2002, while the maintainer has continually referred to the CVS version for bugfixes since then.
2. I prefer to name the package "ttx" (the name of the only binary the package provides) instead of "fonttools", because "ttx" is the name most users know this by. I stayed with "fonttools" because the Extras naming policy leans toward upstream names, and also because SUSE ships it (the September 2002 version) under the name "fonttools".
3. This is practically a binary and a module. I don't think any other application uses the module, but if that's the case, I may be able to make this two packages, one named "ttx" and another named "python-fonttools", or if I can name the package "ttx", I can add a "Provides" of "python-fonttools".
Comment 1 Roozbeh Pournader 2006-01-08 05:07:58 EST
Updated version, now using the %{?dist} tag:

Spec Url: http://guava.farsiweb.info/~roozbeh/fonttools.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/fonttools-2.0-0.2.20060103cvs.src.rpm
Comment 2 Eric Tanguy 2006-01-31 16:27:36 EST
Review for release 0.2.20060103cvs:
* RPM name is OK
* Builds fine in mock
* rpmlint of fonttools looks OK
* File list of fonttools looks OK

Needs work:
* Encoding should be UTF-8
* No downloadable source. Please give the full URL in the Source tag.
I know the source from cvs are not downloadable but it is a MUST item. Maybe you
can ask maintainer to make a snapshot ?
Comment 3 Roozbeh Pournader 2006-02-01 13:09:21 EST
(In reply to comment #2)
> Needs work:
> * Encoding should be UTF-8

Encoding of which file is not UTF-8?!

> * No downloadable source. Please give the full URL in the Source tag.
> I know the source from cvs are not downloadable but it is a MUST item. Maybe you
> can ask maintainer to make a snapshot ?

It seems that the developer has created snapshots not long before stopping the
development.

Updated version:

Spec Url: http://guava.farsiweb.info/~roozbeh/fonttools.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/fonttools-2.0-0.3.20050624cvs.src.rpm

%changelog
- Use upstream snapshots, moving the difference into a patch
- Change alphatag time to the latest change in CVS
- Use %%{python_sitearch} instead of %%{python_sitelib} (for x86_86)
- Use sed instead of a patch to remove shebang
Comment 4 Eric Tanguy 2006-02-01 16:44:46 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Needs work:
> > * Encoding should be UTF-8
> 
> Encoding of which file is not UTF-8?!

Sorry it was a mistake!

> 
> > * No downloadable source. Please give the full URL in the Source tag.
> > I know the source from cvs are not downloadable but it is a MUST item. Maybe you
> > can ask maintainer to make a snapshot ?
> 
> It seems that the developer has created snapshots not long before stopping the
> development.
> 
> Updated version:
> 
> Spec Url: http://guava.farsiweb.info/~roozbeh/fonttools.spec
> SRPM Url:
http://guava.farsiweb.info/~roozbeh/fonttools-2.0-0.3.20050624cvs.src.rpm
> 
> %changelog
> - Use upstream snapshots, moving the difference into a patch
> - Change alphatag time to the latest change in CVS
> - Use %%{python_sitearch} instead of %%{python_sitelib} (for x86_86)
> - Use sed instead of a patch to remove shebang
> 
Review for release 0.3.20050624cvs:
* RPM name is OK
* Source fonttools-2005-03-15.210812.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of fonttools looks OK
* File list of fonttools looks OK

APPROVED
Comment 5 Roozbeh Pournader 2006-02-02 12:06:24 EST
Thanks a lot for the review. Imported and built.
Comment 6 Parag Nemade 2010-07-09 05:20:34 EDT
Roozbeh,
   I need this package in EPEL6 as its dependency on python-robofab. If you are interested to maintain this in EPEL6 then you are always welcome but if not please allow me to own EPEL6 branch.
  We have left less time to build python-robofab(and fonttools) in EPEL6.

Please provide your comments here.
Comment 7 Parag Nemade 2010-07-19 02:17:35 EDT
ping Roozbeh?
Comment 8 Parag Nemade 2010-07-26 01:40:24 EDT
I suppose its enough waiting here. Also, no reply to personal mails.

Please process my cvs request and if in future Roozbeh will be back then I am willing to give ownership to him in EPEL6.

Package Change Request
======================
Package Name: fonttools
New Branches: EL-6
Owners: pnemade
InitialCC: Roozbeh

I need this package in EPEL6 as its dependency of python-robofab.
Comment 9 Kevin Fenzi 2010-07-26 18:24:23 EDT
cvs done.
Comment 10 Parag Nemade 2010-07-29 00:47:59 EDT
Thanks kevin. I have built this in EPEL6.
Comment 11 Parag Nemade 2014-09-28 02:28:15 EDT
Package Change Request
======================
Package Name: fonttools
New Branches: epel7
Owners: pnemade
Comment 12 Jon Ciesla 2014-09-29 07:56:03 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.